:root {
  --url1: none;
}

.frame-background-none {
  --frame-background: transparent;
}

.test .card .card-body .card-title {
  line-height: 2rem !important;
}

.section-padding-top {
  padding-top: 40px !important;
}

.carousel-indicators.carousel__top {
  padding-right: calc(var(--bs-gutter-x) * 0.5) !important;
}

.categoryCards .card-body p {
  margin-bottom: 0.5rem !important;
}

@media (min-width: 768px) and (max-width: 991.98px) {
  .footer-no-list {
    padding-left: 2rem !important;
  }
  .texticon.texticon-left {
    font-size: 1.2rem !important;
  }
  .aghCards2 .card-title {
    font-size: 1.5rem !important;
  }
}
@media (max-width: 767.98px) {
  .texticon.texticon-left {
    padding-left: 1rem !important;
    font-size: 1.2rem !important;
  }
  .footer-no-list {
    padding-left: 1rem !important;
  }
}
@media (min-width: 1200px) {
  .frame-type-card_group .card-title {
    font-size: 2rem !important;
  }
}
.aghCards1 .card .card-img-top picture,
.aghCards1 .card .card-img-top img,
.aghCards2 .card .card-img-top picture,
.aghCards2 .card .card-img-top img {
  transition: all 0.5s ease-in-out 0s;
}
.aghCards1 .card .card-img-top picture:hover,
.aghCards1 .card .card-img-top img:hover,
.aghCards2 .card .card-img-top picture:hover,
.aghCards2 .card .card-img-top img:hover {
  transform: scale(1.1);
}
.aghCards1 .card .card-body,
.aghCards2 .card .card-body {
  text-align: center;
}
.aghCards1 .card .card-body .dot::before,
.aghCards2 .card .card-body .dot::before {
  display: none !important;
}
.aghCards1 .card .card-body .card-title,
.aghCards2 .card .card-body .card-title {
  margin: 0 auto;
}

.aghCards2 {
  padding-bottom: var(--frame-spacing) !important;
}
.aghCards2 .card {
  position: relative;
}
.aghCards2 .card .card-body {
  position: absolute;
  width: 100%;
  margin-left: -50%;
  left: 50%;
}
.aghCards2 .card .card-body .card-title {
  font-weight: 600 !important;
  filter: drop-shadow(1px 1px 4px #000);
}

.text-warning {
  --bs-text-opacity: 1;
  color: rgba(var(--bs-warning-rgb), var(--bs-text-opacity)) !important;
}

.text-warning,
.text-danger {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  line-height: 1;
  font-weight: 400;
}

.text-warning:before {
  content: "\f0eb";
  font-family: "icons", serif;
  padding-right: 5px;
}

.text-danger:before {
  content: "\f071";
  font-family: "icons", serif;
  padding-right: 5px;
}

.text-info:before {
  content: "\f05a";
  font-family: "icons", serif;
  padding-right: 5px;
}

.text-warning,
.text-danger,
.text-info {
  line-height: 1.4;
}

.list-normal {
  font-size: 1.2rem;
  font-weight: 400;
}

.card-panel {
  border: 1px solid var(--cardpanel-border-color);
}

.card-panel .card-header {
  font-size: 1.8rem !important;
  font-weight: 400;
  padding: 0.5rem 1.5rem;
}

.card-panel .card-header::before {
  display: none !important;
}

.personal {
  margin-bottom: 3rem;
}
.personal.card-group-element-item {
  width: calc((100% / var(--cardgroup-columns) - var(--cardgroup-gap) * (var(--cardgroup-columns) - 1) / var(--cardgroup-columns)) * 0.9);
}
.personal .personal-image {
  max-width: 50%;
}
.personal .personal-description {
  border-left: 2px solid var(--agh-main-color);
  font-size: 1.2rem;
  padding-left: 1rem;
}
.personal .personal-description .personal-title {
  font-weight: bold;
  margin-bottom: 0.5rem;
  line-height: 1;
}
.personal .personal-description .personal-name {
  margin-bottom: 0.5rem;
  font-weight: 400;
}
.personal .personal-description .personal-contact p {
  margin-bottom: 0;
  font-size: 1rem;
}
.personal .personal-description .personal-contact p .links {
  color: var(--agh-main-color);
  text-decoration: none;
}

.hr-lightGray {
  --hr-color: #e5e5e5;
}

.hr-mediumGray {
  --hr-color: #94959a;
}

.hr-darkGray {
  --hr-color: #313131;
}

.hr-white {
  --hr-color: #ffffff;
}

.hr-black {
  --hr-color: #000000;
}

.half-size {
  width: 50%;
}

.full-size {
  width: 100%;
}

.margin-bottom {
  border-bottom: 1px dashed black !important;
}

.tab-content {
  background-color: white !important;
}
.tab-content .tab-pane-content-item ol,
.tab-content .tab-pane-content-item ul,
.tab-content .tab-pane-content-item p {
  color: black;
}
.tab-content .tab-pane-content-item a:not(.decorated-links),
.tab-content .tab-pane-content-item a:not(.dedicated-color),
.tab-content .tab-pane-content-item a:not(.links) {
  color: black;
}
.tab-content .tab-pane-content-item .links {
  color: blue !important;
}
.tab-content .tab-pane-content-item .decorated-links {
  color: black !important;
  text-decoration: none;
}
.tab-content .tab-pane-content-item .decorated-links:hover {
  color: black !important;
}

.frame-type-agh-layout-2cols-container > .frame-group-container .frame-group-inner div.col-12:first-of-type .frame-group-container .frame-group-inner,
.frame-type-agh-layout-2cols-container > .frame-group-container .frame-group-inner div.col-12:last-of-type .frame-group-container .frame-group-inner {
  padding: var(--frame-spacing) 0 !important;
}

.frame-layout-default > .frame-group-container .frame-container {
  padding-right: 0;
}

@media (min-width: 768px) {
  .frame-type-agh-layout-3cols-container .noframe,
  .frame-type-agh-layout-2cols-container .noframe {
    word-break: break-word;
  }
}

/*

@media (max-width: 991px) {
  .container .container .frame-type-text {
    padding: 0 3rem !important;
  }
}

@media (min-width: 768px) and (max-width: 991.98px) {
  .container .container .frame-type-text {
    padding: 0 3rem 0 0 !important;
  }
}
*/
/* headers */
.frame h2,
.frame h3,
.frame h4,
.frame h5,
.noframe h2,
.noframe h3,
.noframe h4,
.noframe h5 {
  color: var(--frame-header-color);
  line-height: normal;
}
.frame h3::before,
.frame h4::before,
.frame h5::before,
.noframe h3::before,
.noframe h4::before,
.noframe h5::before {
  content: "";
  display: inline-block;
  height: 0.175rem;
  width: 0.175rem;
  border: 0.175rem solid var(--dot-color);
  margin-right: 0.5rem;
}
.frame h2,
.noframe h2 {
  font-size: 2.5rem;
}
.frame h2::before,
.noframe h2::before {
  content: "";
  display: inline-block;
  height: 0.275rem;
  width: 0.275rem;
  border: 0.275rem solid var(--dot-color);
  margin-right: 0.5rem;
}
.frame h3,
.noframe h3 {
  font-size: 2.1rem;
}
.frame h4,
.noframe h4 {
  font-size: 1.8rem;
}
@media (min-width: 769px) {
  .frame h2,
  .noframe h2 {
    font-size: 2rem;
  }
  .frame h3,
  .noframe h3 {
    font-size: 1.7rem;
  }
  .frame h4,
  .noframe h4 {
    font-size: 1.5rem;
  }
}
@media (max-width: 768px) {
  .frame h2,
  .noframe h2 {
    font-size: 1.7rem;
  }
  .frame h3,
  .noframe h3 {
    font-size: 1.5rem;
  }
  .frame h4,
  .noframe h4 {
    font-size: 1.3rem;
  }
}

@media (min-width: 992px) {
  .titleInternalDot {
    font-size: 3rem;
  }
}
@media (min-width: 768px) and (max-width: 991px) {
  .titleInternalDot {
    font-size: 2.5rem;
  }
}
@media (max-width: 767px) {
  .titleInternalDot {
    font-size: 2rem;
  }
}

.navbar-unit1 .navbar-border {
  width: 100%;
  padding: 2px 0;
  border-bottom: 4px solid var(--navbar-unit-border) !important;
}
.navbar-unit1 ul.navbar-nav {
  background: var(--navbar-background-color) !important;
}
.navbar-unit1 ul.navbar-nav a.dropdown-item,
.navbar-unit1 ul.navbar-nav button.dropdown-item {
  color: var(--navbar-font-color) !important;
}
.navbar-unit1 ul.navbar-nav a.dropdown-item .ifsub,
.navbar-unit1 ul.navbar-nav button.dropdown-item .ifsub {
  color: var(--navbar-font-color) !important;
}
.navbar-unit1 ul.navbar-nav a.dropdown-item.gray .ifsub,
.navbar-unit1 ul.navbar-nav button.dropdown-item.gray .ifsub {
  color: var(--navbar-gray-color) !important;
}
@media (max-width: 767.98px) {
  .navbar-unit1 .language {
    right: 50px !important;
  }
}
.navbar-unit1 .rest {
  width: 0;
  height: 208px;
  max-height: 0;
}
.navbar-unit1 .navbar-nav {
  padding-top: 100px !important;
}
@media (max-width: 991.98px) {
  .navbar-unit1 .navbar-nav {
    width: 100% !important;
  }
}
.navbar-unit1 .navbar-collapse.show {
  /*   height: 100vh*/
  height: calc(100vh - 80px) !important;
}

.shadow-custom {
  filter: drop-shadow(1px 1px 4px #000);
}

#unitMenu.navbar-unit2 {
  padding-bottom: 0;
  padding-top: 0;
  height: auto;
  width: 100%;
}
#unitMenu.navbar-unit2 .top-navbar {
  padding: 2px 0;
  width: 100%;
  border-bottom: 4px solid var(--navbar-unit-border);
}
#unitMenu.navbar-unit2 .top-navbar .container {
  position: relative;
}
#unitMenu.navbar-unit2 .top-navbar .container .dropdown.language {
  position: absolute;
  right: 87px;
  top: 15px;
  background-color: black !important;
}
#unitMenu.navbar-unit2 .top-navbar .container .dropdown.language button {
  border-radius: 0;
  box-shadow: none;
  outline-color: black;
  font-size: 1.25rem;
  font-weight: 500;
}
#unitMenu.navbar-unit2 .top-navbar .container .dropdown.language button:hover, #unitMenu.navbar-unit2 .top-navbar .container .dropdown.language button:active, #unitMenu.navbar-unit2 .top-navbar .container .dropdown.language button:focus, #unitMenu.navbar-unit2 .top-navbar .container .dropdown.language button.btn-dark {
  background-color: black;
  border-color: black;
  box-shadow: none;
  outline-color: black;
}
#unitMenu.navbar-unit2 .top-navbar .container .dropdown.language button:focus-visible {
  outline: 1px solid #b92d28;
}
#unitMenu.navbar-unit2 .top-navbar .container .dropdown.language button {
  text-transform: uppercase;
}
#unitMenu.navbar-unit2 .top-navbar .container .dropdown.language .lang a {
  color: white;
}
#unitMenu.navbar-unit2 .top-navbar .container .dropdown.language .lang a:hover {
  background-color: black;
}
#unitMenu.navbar-unit2 .top-navbar .container .dropdown.language .dropdown-menu:not(.lang) {
  background-color: white !important;
}
#unitMenu.navbar-unit2 .collapse {
  display: inline-block;
  vertical-align: bottom;
  width: 100%;
  background-color: white;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  list-style: none;
  height: auto;
  margin-bottom: 0;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative .dropdown-menu[data-bs-popper] {
  margin-top: 0;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative .dropdown-menu > li:hover > .submenu {
  display: block;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative .nav-item a {
  color: #535252;
  font-weight: 600;
  font-size: 1.2rem;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative .nav-item .dropdown-menu {
  padding: 0;
  line-height: 2rem;
  width: 250px;
  background: white !important;
  border: 1px solid rgba(0, 0, 0, 0.15) !important;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative .nav-item .dropdown-menu li a.dropdown-item {
  padding: 0 10px;
  font-size: 1rem;
  font-weight: 500;
  text-shadow: none;
  min-height: 36px;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative .nav-item .dropdown-menu li a.dropdown-item .ifsub {
  color: var(--navbar-font-color) !important;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative .nav-item .dropdown-menu li a.dropdown-item:hover {
  background: #a5a5a5;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative ul.dropdown-menu.dropdown-menu-end .position-relative > a.dropdown-item {
  padding-left: 5px !important;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative ul.dropdown-menu.dropdown-menu-end .position-relative > a.dropdown-item:before {
  display: inline-block;
  vertical-align: center;
  content: "";
  margin-right: 0.75rem;
  border-right: 0.35em solid;
  border-top: 0.35em solid transparent;
  border-bottom: 0.35em solid transparent;
  border-left: 0;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative ul.dropdown-menu.dropdown-menu-end .submenu {
  right: 100%;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative ul.dropdown-menu:not(.dropdown-menu-end) .position-relative > a.dropdown-item:after {
  display: inline-block;
  vertical-align: center;
  content: "";
  margin-left: 0.75rem;
  border-left: 0.35em solid;
  border-top: 0.35em solid transparent;
  border-bottom: 0.35em solid transparent;
  border-right: 0;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative ul.dropdown-menu:not(.dropdown-menu-end) .submenu {
  left: 100%;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative .submenu {
  top: 0;
  position: absolute;
  display: none;
  margin: 0;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative .submenu li {
  margin: 0 !important;
}
#unitMenu.navbar-unit2 .collapse .navbar-nav-alternative .submenu li a.dropdown-item {
  line-height: 2rem;
}

.navbar-brand .logos {
  max-width: 190px;
}
.navbar-brand .logos img {
  padding-right: 10px;
}
.navbar-brand .logos img:not(.first-logo) {
  padding-left: 10px;
}
.navbar-brand .brand-name {
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
  color: white;
  font-weight: bold;
  word-break: break-word;
  white-space: normal;
  font-size: 1.2rem;
  margin-left: 1rem;
}
@media (max-width: 991.98px) {
  .navbar-brand .brand-name {
    font-size: 1.2rem;
    line-height: 1.4rem;
  }
}
@media (max-width: 767.98px) {
  .navbar-brand .brand-name {
    font-size: 1rem;
    line-height: 1.2rem;
  }
}
@media (max-width: 575.98px) {
  .navbar-brand .brand-name {
    font-size: 0.8rem;
    line-height: 1rem;
  }
}
.navbar-brand .brand-name:hover {
  text-decoration: none;
}

.carousel-with-caption,
.carousel-without-images {
  width: 70%;
  margin: 0 auto;
}
@media all and (max-width: 768px) {
  .carousel-with-caption,
  .carousel-without-images {
    width: 90%;
  }
}
.carousel-with-caption .carousel-indicators,
.carousel-without-images .carousel-indicators {
  margin-bottom: 0;
}
.carousel-with-caption .carousel-caption,
.carousel-without-images .carousel-caption {
  background-color: rgba(0, 0, 0, 0.7);
  bottom: 0;
  left: 0;
  right: 0;
}
.carousel-with-caption .carousel-caption p,
.carousel-without-images .carousel-caption p {
  font-size: 1.6rem;
  font-weight: 500;
  line-height: 2rem;
  color: white !important;
}

.frame-type-scrollspy {
  scroll-margin-top: 120px;
}
.frame-type-scrollspy .scrollspy-container {
  width: 100%;
  background: lightgray;
  padding: 2rem;
  overflow-y: auto;
  position: relative;
}
.frame-type-scrollspy .scrollspy-container .list-group {
  font-weight: 500;
  border: 1px solid darkgray;
}
@media (max-width: 768px) {
.frame-type-scrollspy .scrollspy-container .list-group-item {
 font-size: 0.9rem;
  }
}
.frame-type-scrollspy .scrollspy-container .scrollspy {
  overflow-y: auto;
  }

.frame-type-scrollspy .scrollspy-container .scrollspy .odd, .frame-type-scrollspy .scrollspy-container .scrollspy .even {
  padding: 4rem 2rem 2rem 2rem;
}
@media (max-width: 992px) {
  .frame-type-scrollspy .scrollspy-container .scrollspy .odd, .frame-type-scrollspy .scrollspy-container .scrollspy .even {
    padding: 1rem;
  }
}
.frame-type-scrollspy .scrollspy-container .scrollspy .odd {
  background: #d3d3d3;
}
.frame-type-scrollspy .scrollspy-container .scrollspy .even {
  background: #c3c3c3;
}
.size-0{
  height: 200px;
}
.size-1{
  height: 300px;
}
.size-2{
  height: 400px;
}
